# wxStackFrame Class Reference
[Debugging]

`#include <wx/stackwalk.h>`

## Detailed Description

wxStackFrame represents a single stack frame, or a single function in the call stack, and is used exclusively together with wxStackWalker, see there for a more detailed discussion.

##

Library: wxBase

Category: Debugging

See also:
  wxStackWalker

## Public Member Functions
void * | GetAddress () const
| Return the address of this frame.
wxString | GetFileName () const
| Return the name of the file containing this frame, empty if unavailable (typically because debug info is missing).
size_t | GetLevel () const
| Get the level of this frame (deepest/innermost one is 0).
size_t | GetLine () const
| Return the line number of this frame, 0 if unavailable.
wxString | GetModule () const
| Get the module this function belongs to (empty if not available).
wxString | GetName () const
| Return the unmangled (if possible) name of the function containing this frame.
size_t | GetOffset () const
| Return the return address of this frame.
virtual bool | GetParam (size_t n, wxString *type, wxString *name, wxString *value) const
| Get the name, type and value (in text form) of the given parameter.
virtual size_t | GetParamCount () const
| Return the number of parameters of this function (may return 0 if we can't retrieve the parameters info even although the function does have parameters).
bool | HasSourceLocation () const
| Return true if we have the file name and line number for this frame.

List of all members.

## Member Function Documentation

void* wxStackFrame::GetAddress | ( |  | ) | const

Return the address of this frame.

wxString wxStackFrame::GetFileName | ( |  | ) | const

Return the name of the file containing this frame, empty if unavailable (typically because debug info is missing).

Use HasSourceLocation() to check whether the file name is available.

size_t wxStackFrame::GetLevel | ( |  | ) | const

Get the level of this frame (deepest/innermost one is 0).

size_t wxStackFrame::GetLine | ( |  | ) | const

Return the line number of this frame, 0 if unavailable.

See also:
  GetFileName()

wxString wxStackFrame::GetModule | ( |  | ) | const

Get the module this function belongs to (empty if not available).

wxString wxStackFrame::GetName | ( |  | ) | const

Return the unmangled (if possible) name of the function containing this frame.

size_t wxStackFrame::GetOffset | ( |  | ) | const

Return the return address of this frame.

virtual bool wxStackFrame::GetParam | ( | size_t | n,
|  | wxString * | type,
|  | wxString * | name,
|  | wxString * | value |
| ) |  |  | const`[virtual]`

Get the name, type and value (in text form) of the given parameter.

Any pointer may be NULL if you're not interested in the corresponding value.

Return true if at least some values could be retrieved. This function currently is only implemented under Win32 and requires a PDB file.

virtual size_t wxStackFrame::GetParamCount | ( |  | ) | const`[virtual]`

Return the number of parameters of this function (may return 0 if we can't retrieve the parameters info even although the function does have parameters).

bool wxStackFrame::HasSourceLocation | ( |  | ) | const

Return true if we have the file name and line number for this frame.

|  | [ top ]